Bug 672453 - [Intel 6.1 FEAT] FCoE: fcoe-utils updates
[Intel 6.1 FEAT] FCoE: fcoe-utils updates
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fcoe-utils (Show other bugs)
6.1
Unspecified Linux
high Severity high
: rc
: 6.1
Assigned To: Petr Šabata
BaseOS QE Security Team
: FutureFeature, OtherQA, Rebase
Depends On: 630087 675076
Blocks: 634001 635490
  Show dependency treegraph
 
Reported: 2011-01-25 01:47 EST by Yi Zou
Modified: 2011-05-19 10:20 EDT (History)
14 users (show)

See Also:
Fixed In Version: fcoe-utils-1.0.17-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
- rebase requested by Intel - v1.0.17 required for fcoe-utils/lldpad/kernel interoperability
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:20:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
As described in Comment 1 item 2), these are patches on top of v1.0.17 (2.31 KB, application/x-gzip)
2011-01-25 01:51 EST, Yi Zou
no flags Details
As described in Description item 3), these are patches on top fcoe-utils-1.0.14-9.el6 (12.97 KB, application/x-gzip)
2011-01-25 01:54 EST, Yi Zou
no flags Details

  None (edit)
Description Yi Zou 2011-01-25 01:47:06 EST
Bring FCoE user space up to date in RHEL6.1 to sync-up with Open-FCoE.org fcoe-utils.git:

fcoe-utils.git has moved up to v1.0.17 plus several more bug fixes. This is to request fcoe-utils in RHEL6.1 to be brought up in sync so new bug fixes with open-fcoe.org's fcoe-utils.git.

1) If you pull from the current tip, then:
Please pull from the following git link:
URL: git://open-fcoe.org/fcoe/fcoe-utils.git
Branch: master

2) If you choose to pull by version tag, then please pull the latest v1.0.17, then include the following three patches on top:
ad1280e fcoeadm: wrong check for connect() ret value
a79467d fcoe-utils: remove named unix socket between foceadm and fcoemon
9b5ba0b fcoemon: cleanup code in creating reply socket

3) If you choose to pull patches based on current RHEL6.0 GA fcoe-utils-1.0.14-9.el6.src.rpm, the list of patches you want are:

open-fcoe-contrib-fcc-remove-old_file-support.patch
open-fcoe-contrib-fcc-add-create-vn-command-for-VN2V.patch
open-fcoe-contrib-fcc-add-reload-command.patch
open-fcoe-contrib-fcc-allow-create-delete-reset-to-a.patch
open-fcoe-contrib-fcc-clean-up-help-text.patch
fcoe-utils-Documentation-updates-for-vlan-discovery.patch
fcc-sort-LUN-list-numerically.patch
fcc-change-to-reload-whatever-fcoe-related-modules-a.patch
fcc-sort-host-list-numerically.patch
fcc-Increment-version-to-1.0.12.patch
fcoe-utils-Increment-fcoe-utils-version-from-1.0.14-.patch
fcoe-utils-adds-an-example-script-code-with-detail-t.patch
fcoemon-rewind-the-config-file-pointer-so-that-order.patch
fcoe-utils-Increment-fcoe-utils-version-from-1.0.15-.patch
fcoe-utils-Update-fcoe-utils-to-use-lldpad-and-not-d.patch
fcoe-utils-allow-fcc-destroy-to-work-on-multiple-HBA.patch
fcoe-utils-update-Quickstart-for-libconfig-requireme.patch
fcoe-utils-Increment-fcoe-utils-version-from-1.0.16-.patch
fcoemon-cleanup-code-in-creating-reply-socket.patch
fcoe-utils-remove-named-unix-socket-between-foceadm-.patch
fcoeadm-wrong-check-for-connect-ret-value.patch


I will upload these patches for 1) and 2) as two attachments shortly.

thanks,
yi
Comment 1 Yi Zou 2011-01-25 01:51:16 EST
Created attachment 475113 [details]
As described in Comment 1 item 2), these are patches on top of v1.0.17

As described in Comment 1 Item 2), these are the patches on top of v1.0.17 in current open-fcoe.org/fcoe/fcoe-utils.git, if you pull v1.0.17 then please also apply these three on top.
Comment 2 Yi Zou 2011-01-25 01:54:49 EST
Created attachment 475114 [details]
As described in Description item 3), these are patches on top fcoe-utils-1.0.14-9.el6

As described in Description item 3), these are patches on top fcoe-utils-1.0.14-9.el6 from current tip of open-fcoe.org/fcoe/fcoe-utils.git. If you are pulling patches on top of fcoe-utils-1.0.14-9.el6.src.rpm, then these are the patches to be included, where previously included patches have been excluded. Please refer to the 'descriptions' file in the tar ball fore more details.
Comment 4 Yi Zou 2011-01-25 01:57:54 EST
(In reply to comment #1)
> Created attachment 475113 [details]
> As described in Comment 1 item 2), these are patches on top of v1.0.17
> 
> As described in Comment 1 Item 2), these are the patches on top of v1.0.17 in
> current open-fcoe.org/fcoe/fcoe-utils.git, if you pull v1.0.17 then please also
> apply these three on top.

I meant to say "Description item 2)" not Comment 1. Also, updates dependency on
Bug 630087 for lldpad updates.
Comment 5 RHEL Product and Program Management 2011-02-01 01:18:32 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 6 Siddharth Nagar 2011-02-01 11:23:52 EST
Please disregard the previous comment. This BZ is still being evaluated for 6.1.
Comment 7 Petr Šabata 2011-02-03 04:13:06 EST
Yi Zou,

would it be acceptable to postpone those updates for 6.2? I'd also like to propose lldpad and fcoe-utils rebase to latests tips for that version.

Petr
Comment 8 Robert Love 2011-02-03 15:13:45 EST
Hi Petr. We want updates to both fcoe-utils and lldpad in 6.1.
Comment 9 Robert Love 2011-02-03 18:52:54 EST
There are two things I'd like to note about this BZ.

1) Once lldpad is updated it will change some header files that it's clients require. Since fcoemon is a client, fcoe-utils needs this patch, which is in the series above, to keep it compatible with lldpad: fcoe-utils-Update-fcoe-utils-to-use-lldpad-and-not-d.patch.

2) It looks like Mike Christie is going to pull in fcoe transport patches. These changes move the create/destroy/etc... entry points to the kernel. They are moving from fcoe.ko to libfcoe.ko. There are patches on the open-fcoe mailing list to complete this change, but I do not intend to commit them to the fcoe-utils.git repository until the kernel changes make it into the mainline kernel. I believe BZ 668114 covers the kernel updates Mike is doing.
Comment 11 Petr Šabata 2011-02-04 07:08:58 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- rebase requested by Intel
- v1.0.17 required for fcoe-utils/lldpad/kernel interoperability
Comment 13 Petr Šabata 2011-02-04 07:43:36 EST
Rebased to 1.0.17. The three requested patches are added on top of that.
CVS done, fcoe-utils-1.0.17-1.el6
Comment 15 Miroslav Vadkerti 2011-03-13 04:59:14 EDT
Doing SanityOnly testing:

* Latest release of RHEL6.1 contains fcoe-utils-1.0.17-6.el6
* All available RHTS tests PASS:
/CoreOS/fcoe-utils/Regression/bz503165-running-fcoeadm-before-loading-fcoe-stack-tracebacks
/CoreOS/fcoe-utils/Regression/bz619604-fcoe-utils-enabled-in-2345-by-default
/CoreOS/fcoe-utils/Sanity/init-scripts-LSB
/CoreOS/fcoe-utils/Sanity/long-form-options

* rebuilding src.rpm without issues on all archs with the latest RHEL6.1 packages:
kernel-2.6.32-120.el6
lldpad-0.9.41-2.el6
Comment 16 Chris Ward 2011-04-06 07:11:35 EDT
~~ Partners and Customers ~~

This bug was included in RHEL 6.1 Beta. Please confirm the status of this request as soon as possible.

If you're having problems accessing 6.1 bits, are delayed in your test execution or find in testing that the request was not addressed adequately, please let us know.

Thanks!
Comment 17 Jack Morgan 2011-04-13 15:42:38 EDT
Verified by Intel. Thanks.
Comment 18 errata-xmlrpc 2011-05-19 10:20:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0743.html

Note You need to log in before you can comment on or make changes to this bug.